package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF40D extends MwfRequest<MWF40D, MWF40DResponse> {

    @Parameter(name = "CisloSmlouvy")
    MWF40D cisloSmlouvy(String cisloSmlouvy);
    @Parameter(name = "DatumPodpisuSmlouvy")
    MWF40D datumPodpisuSmlouvy(java.util.Date datumPodpisuSmlouvy);
    @Parameter(name = "KodProduktuSales")
    MWF40D kodProduktuSales(String kodProduktuSales);
    @Parameter(name = "ObchodniMistoKod")
    MWF40D obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "UrednikID")
    MWF40D urednikID(String urednikID);
    @Parameter(name = "UrednikJmeno")
    MWF40D urednikJmeno(String urednikJmeno);
    @Parameter(name = "UrednikPrijmeni")
    MWF40D urednikPrijmeni(String urednikPrijmeni);
    @Parameter(name = "UrednikSSO")
    MWF40D urednikSSO(String urednikSSO);
    @Parameter(name = "ZadostAP")
    MWF40D zadostAP(String zadostAP);
    @Parameter(name = "Zadost_KEY")
    MWF40D zadostKEY(Long zadostKEY);
}
